ListDataAutomationLibraries - Amazon Bedrock

ListDataAutomationLibraries

Gets a list of data automation libraries in your account.

Request Syntax

POST /data-automation-libraries/ HTTP/1.1 Content-type: application/json { "maxResults": number, "nextToken": "string", "projectFilter": { "projectArn": "string", "projectStage": "string" } }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

maxResults

The maximum number of libraries to return in one page of results.

Type: Integer

Valid Range: Minimum value of 1. Maximum value of 1000.

Required: No

nextToken

Specify the pagination token from a previous request to retrieve the next page of results.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

Required: No

projectFilter

To view libraries associated with a project, specify the project.

Type: DataAutomationProjectFilter object

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "libraries": [ { "creationTime": "string", "libraryArn": "string", "libraryName": "string" } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

libraries

A list of library summaries.

Type: Array of DataAutomationLibrarySummary objects

nextToken

A pagination token returned if more results are available.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

HTTP Status Code: 403

InternalServerException

HTTP Status Code: 500

ThrottlingException

HTTP Status Code: 429

ValidationException

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: